'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultConfig = require('./index.default');
var providerPackage = require('frontful-config/provider/package');
var objectPath = require('object-path');

var customConfig = objectPath(providerPackage('frontful.babel') || {});

var mergedConfig = {
  ignore: customConfig.get('ignore'),
  server: customConfig.get('server.config') || require('../provider/server')((0, _extends3.default)({}, defaultConfig.server.options, customConfig.get('server.options'))),
  browser: customConfig.get('browser.config') || require('../provider/browser')((0, _extends3.default)({}, defaultConfig.browser.options, customConfig.get('browser.options'))),
  package: customConfig.get('package.config') || require('../provider/package')((0, _extends3.default)({}, defaultConfig.package.options, customConfig.get('package.options')))
};

module.exports = mergedConfig;