'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = deploy;

var _PackageJSON = require('./PackageJSON');

var _PackageJSON2 = _interopRequireDefault(_PackageJSON);

var _child_process = require('child_process');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function deploy(sourcePath) {
  var packageJSON = new _PackageJSON2.default(sourcePath);

  packageJSON.unlock();
  packageJSON.bump();

  var result = (0, _child_process.execSync)('npm publish "' + sourcePath + '"', {
    cwd: process.cwd(),
    encoding: 'utf8',
    stdio: 'inherit'
  });

  packageJSON.lock();

  return result;
}
module.exports = exports.default;