'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transpile;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _find = require('find');

var _find2 = _interopRequireDefault(_find);

var _package = require('../../config/package');

var _package2 = _interopRequireDefault(_package);

var _config = require('../../config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var babel = require('babel-core');

function transpile(transpilePath) {
  var sourceFiles = _find2.default.fileSync(new RegExp('^((?!((/node_modules)' + (_config2.default.ignore ? '|(' + _config2.default.ignore + ')' : '') + ')).)*(\\.jsx?)$', 'i'), transpilePath);

  sourceFiles.forEach(function (sourceFile) {
    var sourceCode = _fs2.default.readFileSync(sourceFile, 'utf8');
    var compiled = babel.transform(sourceCode, _package2.default);
    _fs2.default.writeFileSync(sourceFile, compiled.code);
  });
}
module.exports = exports.default;